Cyberduck Mountain Duck CLI

#9742 closed defect (fixed)

Longlist option does not work

Reported by: btully Owned by: dkocher
Priority: normal Milestone: 5.2.1
Component: cli Version: 4.7.3
Severity: normal Keywords: cli
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by dkocher)

A "Missing argument" error is returned when using the "-L" or "--longlist" command with sftp or ftp. The "-l" command works normally. An example command is

duck -L sftp://user@servername/directory/ -p password

Change History (8)

comment:1 Changed on Oct 26, 2016 at 8:40:54 AM by dkocher

  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned
Missing argument
Try 'duck --help' for more options.

comment:2 Changed on Oct 26, 2016 at 10:07:37 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Oct 26, 2016 at 1:43:36 PM by dkocher

  • Component changed from core to cli
  • Summary changed from Longlist command does not work in CLI to Longlist option does not work

comment:4 Changed on Oct 26, 2016 at 1:56:41 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r21840.

comment:5 Changed on Oct 26, 2016 at 1:56:49 PM by dkocher

  • Milestone changed from 6.0 to 5.2.1

comment:6 Changed on Oct 31, 2016 at 10:29:28 PM by btully

When will CLI version 5.2.1 be released? Brew still shows 4.7.3.

comment:7 Changed on Oct 31, 2016 at 10:34:29 PM by btully

Or a Mac package. 5.2.1 only available as exe/msi for Windows.

comment:8 Changed on Nov 1, 2016 at 6:11:12 AM by dkocher

Please install from our tap using brew install iterate-ch/cyberduck/duck.

Note: See TracTickets for help on using tickets.
swiss made software